Debian Bug report logs - #672722
reportbug: Please generate ben files with transition bugs

version graph

Package: reportbug; Maintainer for reportbug is Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>; Source for reportbug is src:reportbug.

Reported by: Niels Thykier <niels@thykier.net>

Date: Sun, 13 May 2012 09:06:02 UTC

Severity: wishlist

Tags: patch

Found in version reportbug/6.3.1

Fixed in version reportbug/6.4

Done: Sandro Tosi <morph@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, niels@thykier.net, Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>:
Bug#672722; Package reportbug. (Sun, 13 May 2012 09:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
New Bug report received and forwarded. Copy sent to niels@thykier.net, Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>. (Sun, 13 May 2012 09:06:13 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: reportbug: Please generate ben files with transition bugs
Date: Sun, 13 May 2012 11:01:17 +0200
[Message part 1 (text/plain, inline)]
Package: reportbug
Version: 6.3.1
Severity: wishlist
Tags: patch

Hi,

It would be much appreciated if reportbug could assist reporters by
generating "ben" files for transition bugs.  I have developed a
prototype patch that seems to work reasonable and that can be used as
a basis for this.

For testing, I have tried to use it to generate the current APT ben
file[1].  It can be done by following [2].

The generated files are only intended for the "common cases".  In
"rare cases", people may need to use some of the additional
functionality provided by ben (e.g. the "edos checks").
  I think it would be fine to as them to fill out the fields manaully
for now.

~Niels

[1] Generated result:

"""
Ben file:

title = "apt";
is_affected = .depends ~ /libapt-pkg4.10|libapt-inst1.2/ | .depends ~ "libept1" | .depends ~ /libapt-pkg4.12|libapt-inst1.5|libept1.4.12/;
is_good = .depends ~ /libapt-pkg4.12|libapt-inst1.5|libept1.4.12/;
is_bad = .depends ~ /libapt-pkg4.10|libapt-inst1.2/ | .depends ~ "libept1";

"""

[2]

"""

[...]

Choose the request type: 8
Please enter the name of the package: apt
[...]

To assist the release team, please fill in the following
information. You will be asked to provide package names of the library
package(s) that are the source of the transition. If more than one
library is changing the name, please use a space separated
list. Alternatively you can use a regex by enclosing the regex in
slashes ("/"). Please ensure that the "old" regex does not match the
"new" packages.

Please enter old binary package name of the library (or a regex matching it):/libapt-pkg4.10|libapt-inst1.2/ libept1
Please enter new binary package name of the library (or a regex matching it):/libapt-pkg4.12|libapt-inst1.5|libept1.4.12/

[...]

"""
[0001-debbugs.py-Generate-a-ben-file-for-transition-bugs.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>:
Bug#672722; Package reportbug. (Wed, 06 Jun 2012 19:42:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>. (Wed, 06 Jun 2012 19:42:16 GMT) Full text and rfc822 format available.

Message #10 received at 672722@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: 672722@bugs.debian.org,672722@bugs.debian.org
Cc: ,control@bugs.debian.org
Subject: [reportbug/master] support release team generating "ben" files when requesting a transition; thanks to Niels Thykier for the report and patch; Closes: #672722
Date: Wed, 06 Jun 2012 19:41:49 +0000
tag 672722 pending
tag 672722 pending
thanks

Date:   Sun Jun 3 18:36:45 2012 +0200
Author: Sandro Tosi <morph@debian.org>
Commit ID: d07098714ea2cab9e6d2eb13b0d66110c9cdb775
Commit URL: http://git.debian.org/?p=reportbug/reportbug.git;a=commitdiff;h=d07098714ea2cab9e6d2eb13b0d66110c9cdb775
Patch URL: http://git.debian.org/?p=reportbug/reportbug.git;a=commitdiff_plain;h=d07098714ea2cab9e6d2eb13b0d66110c9cdb775

    support release team generating "ben" files when requesting a transition; thanks to Niels Thykier for the report and patch; Closes: #672722

      




Added tag(s) pending. Request was from Sandro Tosi <morph@debian.org> to control@bugs.debian.org. (Wed, 06 Jun 2012 19:42:21 GMT) Full text and rfc822 format available.

Reply sent to Sandro Tosi <morph@debian.org>:
You have taken responsibility. (Wed, 06 Jun 2012 21:27:26 GMT) Full text and rfc822 format available.

Notification sent to Niels Thykier <niels@thykier.net>:
Bug acknowledged by developer. (Wed, 06 Jun 2012 21:27:26 GMT) Full text and rfc822 format available.

Message #17 received at 672722-close@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: 672722-close@bugs.debian.org
Subject: Bug#672722: fixed in reportbug 6.4
Date: Wed, 06 Jun 2012 21:05:25 +0000
Source: reportbug
Source-Version: 6.4

We believe that the bug you reported is fixed in the latest version of
reportbug, which is due to be installed in the Debian FTP archive:

python-reportbug_6.4_all.deb
  to main/r/reportbug/python-reportbug_6.4_all.deb
reportbug_6.4.dsc
  to main/r/reportbug/reportbug_6.4.dsc
reportbug_6.4.tar.bz2
  to main/r/reportbug/reportbug_6.4.tar.bz2
reportbug_6.4_all.deb
  to main/r/reportbug/reportbug_6.4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 672722@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sandro Tosi <morph@debian.org> (supplier of updated reportbug package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 06 Jun 2012 22:10:17 +0200
Source: reportbug
Binary: reportbug python-reportbug
Architecture: source all
Version: 6.4
Distribution: unstable
Urgency: low
Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
Changed-By: Sandro Tosi <morph@debian.org>
Description: 
 python-reportbug - Python modules for interacting with bug tracking systems
 reportbug  - reports bugs in the Debian distribution
Closes: 650651 654165 657616 657753 658748 658795 661221 666469 667543 669249 672722 673204
Changes: 
 reportbug (6.4) unstable; urgency=low
 .
   * reportbug/checkversions.py
     - match version on the precise architecture, not just check string
       inclusiong; thanks to Nelson de Oliveira for the report; Closes: #650651
     - include arch:all in package versions lookup; thanks to Hilmar Preuße for
       the report; Closes: #673204
   * bin/reportbug
     - clarify the menu title when presenting more packages; thanks to Alois
       Mahdal for the report; Closes: #654165
   * reportbug/ui/{text, urwid}_ui.py
     - sort bug numerically; thanks to Matthias Urlichs for the report;
       Closes: #657616
   * reportbug/debbugs.py
     - initialize varibles needed to handle ftp.debian.org section change
       requests, so reportbug won't crash if proper values (for section and
       priority) is not found; thanks to James McCoy for the report;
       Closes: #658748
     - support release team generating "ben" files when requesting a transition;
       thanks to Niels Thykier for the report and patch; Closes: #672722
   * reportbug/utils.py
     - correctly report the installation status for each dependency packages, not
       just the last status applied to each pkgs; thanks to Piotr Engelking for
       the report; Closes: #657753
     - Fix crash when using claws-mail as a mailer; thanks to Valentin Lorentz
       for the report and (partial) patch: Closes: #667543
   * reportbug/utils.py, debian/control
     - updated claws-mail command to use the new cli switch to compose a mail
       from a file (adding a versioned depends); thanks to David Paleino for the
       report; Closes: #661221
   * debian/control
     - added python-mock to b-d-i, needed for the test suite
     - bump Standards-Version to 3.9.3 (no changes needed)
   * reportbug/{debbugs, utils}.py
     - report foreign architectures information (if m-a); thanks to Cyril
       Brulebois for the report; Closes: #658795
   * bin/reportbug, man/reportbug.*
     - fix several typos; thanks to Simon Kainz for the report and patch;
       Closes: #669249
   * bin/reportbug, reportbug/utils.py
     - initial support for multi-arch: keep arch-qualifier and remove it just
       before preparing the report body; Closes: #666469
   * Extend my copyright years to include 2012
Checksums-Sha1: 
 f3bf383b9aff2f563e1eeeefc11b7fb59c04d45b 1194 reportbug_6.4.dsc
 57799db817cfa8a6eade8f3a0a6b52975e9decac 179157 reportbug_6.4.tar.bz2
 10bee650a1370291d35cfc0be032a305d120863e 125724 reportbug_6.4_all.deb
 975a2223a0cae73420265096ef4bfd4d394bca63 136032 python-reportbug_6.4_all.deb
Checksums-Sha256: 
 56163049045c87a3fb213f0ff774e02d78f108c70b6748b218a69d59dfd669eb 1194 reportbug_6.4.dsc
 0deb65c1a826ee1f05e4baedd177b0b1dcdff8873030f64d91384719ac295a1c 179157 reportbug_6.4.tar.bz2
 d7f5f078f975eba802a78c5573db7a9a86ebda31d8bb92dc7702dc719c8bb69f 125724 reportbug_6.4_all.deb
 d7bc8ebe705aa48974a90861ad89166c2ee532127a60235350662a2a33346e1a 136032 python-reportbug_6.4_all.deb
Files: 
 9e985884447ad31d5bef2cbd9d574b45 1194 utils standard reportbug_6.4.dsc
 241fec9320eb729d3700997b3899a881 179157 utils standard reportbug_6.4.tar.bz2
 c0c9c0d83f72a41c565b157159d4ee15 125724 utils standard reportbug_6.4_all.deb
 bd51b326c425d3a603e41e94d5cf6b80 136032 python standard python-reportbug_6.4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/PvoEACgkQAukwV0RN2VAfHwCgkHiD2g/wu6f+SAvnU/dFyHf4
DtoAn164xoq5/xfE5wSvdi5EZd1Qw9GA
=s/UJ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 15 Jul 2012 07:27:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 11:35:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.